Truncation of audio files in Cortado
Closed, ResolvedPublic

Description

The OggHandler cutting the end of a audio file.

Example: http://de.wikipedia.org/wiki/Erzgebirgisch#Perfekt.2C_Plusquamperfekt
http://de.wikipedia.org/wiki/Bild:Kirmes-erzg.ogg


Version: unspecified
Severity: normal
OS: Windows 2000
Platform: PC

bzimport set Reference to bz11232.
Liesel created this task.Via LegacySep 8 2007, 11:31 AM
tstarling added a comment.Via ConduitSep 8 2007, 7:36 PM

Cortado cuts off the last ~0.5 seconds of this 2.6 second file, VLC cuts off start.

brion added a comment.Via ConduitSep 10 2007, 12:49 AM
  • Bug 11247 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitSep 23 2007, 8:44 AM

derbeth wrote:

Some files are completely unable to hear: http://commons.wikimedia.org/wiki/Image:En-us-David.ogg

There are _ten of thousands_ of such short files, used on Wiktionarys. If this player does not work, why haven't you turned it off until it gets fixed?

bzimport added a comment.Via ConduitSep 23 2007, 8:52 AM

derbeth wrote:

My question: why functions which contain obvious malfunctions are introduced in Wikimedia projects? Who's testing them? Who is responsible for such decisions?

bzimport added a comment.Via ConduitSep 23 2007, 1:47 PM

robchur wrote:

Clearly it's because we're all a bunch of unprofessional morons who shouldn't be let near an MP3 player, much less a bunch of servers?

I'll have you know Tim Starling did an extraordinary amount of testing, including a public beta on the test Wikipedia, and found and fixed quite a few issues and general objections with it. New features will always have some problems, and in this particular case, the main issues relate to probable upstream bugs in the client libraries we're using.

Please do not continue to use our bug tracker as a forum to attack the system administration and development teams.

siebrand added a comment.Via ConduitSep 23 2007, 10:28 PM

Nasty issue in a great feature. Let's focus our efforts to how it can be fixed. Rob, could you add a link to the issue report in the client library? That will hopefully take the heat off the issue here.

tstarling added a comment.Via ConduitSep 23 2007, 11:23 PM

(In reply to comment #3)

There are _ten of thousands_ of such short files, used on Wiktionarys. If this
player does not work, why haven't you turned it off until it gets fixed?

You can just use the old syntax if you like, it'll still work.

tstarling added a comment.Via ConduitSep 30 2007, 2:49 AM

Patch uploaded in r26204, jar updated in r26224. Patch submitted upstream, review pending.

bzimport added a comment.Via ConduitNov 10 2007, 10:37 AM

derbeth wrote:

I cannot hear http://commons.wikimedia.org/wiki/Image:De-Aachen.ogg online. Opera 9.5 beta/Epiphany/Firefox 2, Java 1.6.0.03.

bzimport added a comment.Via ConduitNov 23 2007, 11:12 PM

derbeth wrote:

http://commons.wikimedia.org/wiki/Image:Hsb-budyšin.ogg - only silence; offline works well
Opera 9.21, Java 1.6.0.03, Windows XP

tstarling added a comment.Via ConduitMar 11 2008, 11:52 AM

The remaining issue is not truncation. Files smaller than ~0.5 seconds are not played at all, files larger than that are played in their entirety.

tstarling added a comment.Via ConduitMar 11 2008, 12:18 PM

Fixed in r31776, the bug should be closed when it goes live.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.